;
(function($) {
    $(document).ready(function() {

        function gkr_comment_ajax_action(postId, RatingValue = null) {

            var post_id = postId,
                rating = RatingValue,
                _container = $('[data-id=' + post_id + ']'),
                _result = $('.keen-result');

            jQuery.ajax({
                url: gkr_object.ajax_url,
                type: 'post',
                data: {
                    action: 'gkr_ajax_display_data',
                    postid: post_id,
                    rating: rating,
                },
                beforeSend: function() {
                    console.log('submitting ', post_id, rating);
                },
                success: function(data) {
                    console.log('data', data);
                    _container.html(data.load_marcup);
                    _result.text('(' + data.total_row + ')');
                }

            });
        }

        // load rating on click
        $('body .rating-container span').on('click', function() {
            var rating = $(this).index() + 1,
                post_id = $(this).parent().data('id');
            console.log(rating, post_id);
            gkr_comment_ajax_action(post_id, rating)
        });

    });
})(jQuery);